Name:          qjackctl
Version:       1.0.0
Release:       1mamba
Summary:       A simple Qt application to control the JACK sound server daemon
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://qjackctl.sourceforge.io/
Source:        http://downloads.sourceforge.net/sourceforge/qjackctl/%{name}-%{version}.tar.gz
Source1:       qjackctl-loop2jack
Patch1:        qjackctl-0.3.10-loop2jack_postStartup_enable.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libjack-devel
BuildRequires: libportaudio-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: qt6-qttools-devel
Requires:      jack >= 0.99.0
Requires:      alsa-utils >= 1.0.27.1-4mamba
Requires:      pulseaudio-module-jack

%description
A simple Qt application to control the JACK sound server daemon

%debug_package

%prep
%setup -q
%patch 1 -p1

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C build STRIP=/bin/true

install -D -m0755 %{SOURCE1} %{buildroot}%{_bindir}/loop2jack

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/qjackctl
%{_bindir}/loop2jack
%dir %{_datadir}/qjackctl/translations
%{_datadir}/qjackctl/translations/qjackctl_*.qm
%dir %{_datadir}/qjackctl/palette
%{_datadir}/qjackctl/palette/KXStudio.conf
%{_datadir}/qjackctl/palette/Wonton*Soup.conf
%{_datadir}/applications/org.rncbc.qjackctl.desktop
%{_datadir}/metainfo/org.rncbc.qjackctl.metainfo.xml
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/org.rncbc.qjackctl.svg
%{_mandir}/man1/qjackctl.1*
%{_mandir}/fr/man1/qjackctl.1*
%doc LICENSE

%changelog
* Wed Jun 19 2024 Automatic Build System <autodist@openmamba.org> 1.0.0-1mamba
- automatic version update by autodist

* Wed May 01 2024 Automatic Build System <autodist@openmamba.org> 0.9.91-1mamba
- automatic version update by autodist

* Mon Apr 15 2024 Automatic Build System <autodist@openmamba.org> 0.9.90-1mamba
- automatic version update by autodist

* Tue Jan 23 2024 Automatic Build System <autodist@openmamba.org> 0.9.13-1mamba
- automatic version update by autodist

* Sat Sep 09 2023 Automatic Build System <autodist@mambasoft.it> 0.9.12-1mamba
- automatic version update by autodist

* Thu Jun 01 2023 Automatic Build System <autodist@mambasoft.it> 0.9.11-1mamba
- automatic version update by autodist

* Fri Mar 24 2023 Automatic Build System <autodist@mambasoft.it> 0.9.10-1mamba
- automatic version update by autodist

* Thu Dec 29 2022 Automatic Build System <autodist@mambasoft.it> 0.9.9-1mamba
- automatic version update by autodist

* Wed Oct 05 2022 Automatic Build System <autodist@mambasoft.it> 0.9.8-1mamba
- automatic version update by autodist

* Thu Apr 07 2022 Automatic Build System <autodist@mambasoft.it> 0.9.7-1mamba
- automatic version update by autodist

* Sun Mar 13 2022 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- automatic version update by autodist

* Wed Oct 06 2021 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic version update by autodist

* Sat Jul 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4-1mamba
- update to 0.9.4

* Wed May 12 2021 Automatic Build System <autodist@mambasoft.it> 0.9.3-1mamba
- automatic version update by autodist

* Tue Mar 16 2021 Automatic Build System <autodist@mambasoft.it> 0.9.2-1mamba
- automatic version update by autodist

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Fri Jan 15 2021 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Sat Aug 01 2020 Automatic Build System <autodist@mambasoft.it> 0.6.3-1mamba
- automatic version update by autodist

* Tue Apr 07 2020 Automatic Build System <autodist@mambasoft.it> 0.6.2-1mamba
- automatic version update by autodist

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 0.6.1-1mamba
- automatic version update by autodist

* Thu Oct 17 2019 Automatic Build System <autodist@mambasoft.it> 0.6.0-1mamba
- automatic version update by autodist

* Sat Jul 13 2019 Automatic Build System <autodist@mambasoft.it> 0.5.9-1mamba
- automatic version update by autodist

* Sat May 25 2019 Automatic Build System <autodist@mambasoft.it> 0.5.8-1mamba
- automatic version update by autodist

* Thu Apr 11 2019 Automatic Build System <autodist@mambasoft.it> 0.5.7-1mamba
- automatic version update by autodist

* Tue Mar 12 2019 Automatic Build System <autodist@mambasoft.it> 0.5.6-1mamba
- automatic version update by autodist

* Sat Nov 24 2018 Automatic Build System <autodist@mambasoft.it> 0.5.5-1mamba
- automatic version update by autodist

* Thu Sep 27 2018 Automatic Build System <autodist@mambasoft.it> 0.5.4-1mamba
- automatic version update by autodist

* Mon Jul 23 2018 Automatic Build System <autodist@mambasoft.it> 0.5.3-1mamba
- automatic version update by autodist

* Thu May 31 2018 Automatic Build System <autodist@mambasoft.it> 0.5.2-1mamba
- automatic version update by autodist

* Wed May 23 2018 Automatic Build System <autodist@mambasoft.it> 0.5.1-1mamba
- automatic version update by autodist

* Sat Mar 24 2018 Automatic Build System <autodist@mambasoft.it> 0.5.0-1mamba
- automatic version update by autodist

* Mon Aug 14 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.4-2mamba
- added patch to avoid translating preset (default) or jackd is not found by applications in /dev/shm

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- automatic version update by autodist

* Mon Oct 24 2016 Automatic Build System <autodist@mambasoft.it> 0.4.3-1mamba
- automatic version update by autodist

* Wed Jul 06 2016 Automatic Build System <autodist@mambasoft.it> 0.4.2-1mamba
- automatic version update by autodist

* Tue Nov 03 2015 Automatic Build System <autodist@mambasoft.it> 0.4.1-1mamba
- automatic version update by autodist

* Sat Jul 25 2015 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Sat Mar 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.13-1mamba
- update to 0.3.13
- require pulseaudio-module-jack

* Sat Mar 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.12-3mamba
- require pulseaudio-module-jack

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.12-2mamba
- disable snd-aloop module autoloading obsoleted by pulseaudio switch

* Sun Oct 26 2014 Automatic Build System <autodist@mambasoft.it> 0.3.12-1mamba
- automatic version update by autodist

* Thu Jan 02 2014 Automatic Build System <autodist@mambasoft.it> 0.3.11-1mamba
- automatic version update by autodist

* Wed Jul 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.10-2mamba
- add and preconfigure loop2jack script
- load snd-aloop module
- set and enable run of loop2jack as post startup script

* Thu Apr 04 2013 Automatic Build System <autodist@mambasoft.it> 0.3.10-1mamba
- automatic version update by autodist

* Sat Oct 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.9-2mamba
- remove don't stop on exit patch, now supported by a gui option

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 0.3.9-1mamba
- automatic version update by autodist

* Mon Aug 08 2011 Automatic Build System <autodist@mambasoft.it> 0.3.8-1mamba
- automatic version update by autodist

* Mon Mar 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.7-2mamba
- added patch to enable jackdbus support by default

* Wed Dec 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.7-1mamba
- update to 0.3.7

* Sun May 09 2010 Automatic Build System <autodist@mambasoft.it> 0.3.6-1mamba
- automatic update by autodist

* Sun Jan 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.4-2mamba
- desktop entry moved to music category

* Mon Dec 08 2008 gil <puntogil@libero.it> 0.3.4-1mamba
- update to 0.3.4

* Wed Aug 27 2008 gil <puntogil@libero.it> 0.3.3-1mamba
- update to 0.3.3
- added patch for desktop file
- changed qt prefix 

* Sun Feb 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.2-1mamba
- update to 0.3.2

* Sat Nov 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.1a-2mamba
- disable startup and shutdown scripts by default

* Tue Sep 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.1a-1mamba
- update to 0.3.1a

* Tue May 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.22-1mamba
- update to 0.2.22
- move desktop entry to %{_datadir}/applications

* Wed Oct 11 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.21-1qilnx
- update to version 0.2.21 by autospec

* Sun Jul 09 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.20-1qilnx
- update to version 0.2.20 by autospec

* Mon Nov 28 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.19a-1qilnx
- update to version 0.2.19a by autospec

* Wed Oct 26 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.18-1qilnx
- update to version 0.2.18 by autospec

* Sun Mar 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.15a-1qilnx
- package created by autospec
